## mono-managed 2.10.1-4maemo3

=== mcs/class/Mono.Data.Sqlite/Makefile ===
thisdir = class/Mono.Data.Sqlite
SUBDIRS =
include ../../build/rules.make

RESX_RESOURCES = resources/SR.resources
OTHER_RESOURCES = $(wildcard resources/*.bmp)

RESOURCES = $(RESX_RESOURCES) $(OTHER_RESOURCES)

LIBRARY = Mono.Data.Sqlite.dll
LIB_MCS_FLAGS = /unsafe /r:System.dll /r:System.Data.dll /r:System.Transactions.dll /r:System.Xml.dll \
	$(RESOURCES:%=-resource:%) -d:SQLITE_STANDARD

TEST_MCS_FLAGS = $(LIB_MCS_FLAGS) /nowarn:618

EXTRA_DISTFILES = Test/SqliteTest.cs \
	Test/test.sql \
	resources/SR.resx	\
	resources/ChangeLog	\
	resources/DataTypes.xml	\
	resources/MetaDataCollections.xml \
	$(wildcard resources/*.bmp)

test-local: test.db 

test.db: Test/test.sql
	rm -f $@
	sqlite3 $@ < $< || :

include ../../build/library.make

$(the_lib): $(RESOURCES)

$(RESX_RESOURCES): %.resources: %.resx
	$(RESGEN) $<

=== mcs/class/System.Data/Makefile ===
thisdir = class/System.Data
SUBDIRS = 
include ../../build/rules.make

# I have *no idea* why I need to do this.

ifeq ($(PROFILE),atomic)
system = System.dll
else
system = $(topdir)/class/lib/$(PROFILE)/System.dll
endif

ifneq (1, $(FRAMEWORK_VERSION_MAJOR))
OTHER_LIB_MCS_FLAGS = -r:System.Configuration.dll \
			-r:System.Transactions.dll
endif

LIBRARY = System.Data.dll
LIB_MCS_FLAGS = \
	-nowarn:649 \
	-unsafe \
	-r:$(corlib)				\
	-r:$(system)			 	\
	-r:System.Xml.dll 			\


ifeq (net_1_1_java, $(PROFILE))
OTHER_RES = $(RESOURCE_FILES)
LIB_MCS_FLAGS +=	\
	-r:rt.dll				\
	-r:J2SE.Helpers.dll			\
	$(OTHER_LIB_MCS_FLAGS)
else 
MOBILE := $(filter monotouch monodroid, $(PROFILE))
ifdef MOBILE
LIB_MCS_FLAGS += \
	-r:Mono.Data.Tds.dll \
	-r:System.Transactions.dll
else
LIB_MCS_FLAGS += \
	-r:System.EnterpriseServices.dll 	\
	-r:Mono.Data.Tds.dll \
	$(OTHER_LIB_MCS_FLAGS)
endif
endif

TEST_MCS_FLAGS = $(LIB_MCS_FLAGS) -nowarn:618,169,612,219,168

TEST_MONO_PATH = .

EXTRA_DISTFILES = \
	TODO					\
	$(wildcard Test/System.Data/*.xml)		\
	$(wildcard Test/System.Data/*.xsd)		\
	$(wildcard Test/System.Xml/*.xml)		\
	$(wildcard Test/System.Xml/*.xsd)		\
	Test/System.Data/schemas/ChangeLog	\
	$(wildcard Test/System.Data/schemas/*.xsd)		\
	Mono.Data.SqlExpressions/Parser.jay	\
	app_test_2.0.config			\
	Test/System.Data/binserialize/*.bin

BUILT_SOURCES = Mono.Data.SqlExpressions/Parser.cs

Mono.Data.SqlExpressions/Parser.cs: Mono.Data.SqlExpressions/Parser.jay $(topdir)/jay/skeleton.cs
	$(topdir)/jay/jay -ct < $(topdir)/jay/skeleton.cs $< >$@

include ../../build/library.make

ifeq (net_2_0, $(PROFILE))
$(test_lib): $(test_lib).config

$(test_lib).config: app_test_2.0.config
	cp $< $@
endif

=== mcs/class/System.Numerics/Makefile ===
thisdir = class/System.Numerics
SUBDIRS = 
include ../../build/rules.make

LIBRARY = System.Numerics.dll
LIB_MCS_FLAGS = -r:System.dll
TEST_MCS_FLAGS = $(LIB_MCS_FLAGS)

EXTRA_DISTFILES =

VALID_PROFILE := $(filter 4.0, $(FRAMEWORK_VERSION))

ifndef VALID_PROFILE
LIBRARY_NAME = dummy-System.Numerics.dll
NO_INSTALL = yes
NO_SIGN_ASSEMBLY = yes
NO_TEST = yes
endif

include ../../build/library.make

=== mcs/class/System.ServiceModel/Makefile ===
thisdir = class/System.ServiceModel
SUBDIRS = 
include ../../build/rules.make

RESOURCE_FILES = \
	resources/WS-Addressing.schema	\
	resources/ws-addr.xsd

LIBRARY = System.ServiceModel.dll
LIB_MCS_FLAGS = \
		/nowarn:414,169,67,3005,436,219,618 \
		/unsafe \
	        /r:System.dll \
	        /r:System.Xml.dll \
		/r:System.Core.dll \
	        /r:System.Runtime.Serialization.dll \
		$(RESOURCE_FILES:%=/resource:%)

ifneq (2.1, $(FRAMEWORK_VERSION))
LIB_MCS_FLAGS += /d:NET_3_0 	\
			/r:System.Configuration.dll \
			/r:System.Data.dll	\
			/r:System.Security.dll \
			/r:System.IdentityModel.dll \
			/r:System.IdentityModel.Selectors.dll \
			/r:System.Transactions.dll \
			/r:System.Messaging.dll \
			/r:System.Web.dll \
			/r:System.Web.Services.dll \
			/r:Mono.Security.dll
endif

ifeq (moonlight_raw, $(PROFILE))
LIB_MCS_FLAGS += /r:System.Net
endif

ifeq (4, $(FRAMEWORK_VERSION_MAJOR))
LIB_MCS_FLAGS += /r:System.Web.ApplicationServices.dll
endif

TEST_MCS_FLAGS = $(LIB_MCS_FLAGS)

TEST_EXTRA_FILES = \
	System.ServiceModel_test_net_3_0.dll.config \
	Test/config/* \
	Test/Resources/* \
	Test/System.ServiceModel.Description/dump.xml

EXTRA_DISTFILES = $(RESOURCE_FILES) $(TEST_EXTRA_FILES)

# Useful for debugging under Visual Studio 2005
# NO_SIGN_ASSEMBLY = yes

VALID_PROFILE := $(filter 2.0 2.1 4.0, $(FRAMEWORK_VERSION))
ifndef VALID_PROFILE
LIBRARY_NAME = dummy-System.ServiceModel.dll
NO_INSTALL = yes
NO_SIGN_ASSEMBLY = yes
NO_TEST = yes
endif



include ../../build/library.make

=== mcs/class/System.Xml.Serialization/Makefile ===
thisdir = class/System.Xml.Serialization
SUBDIRS = 
include ../../build/rules.make

LIBRARY = System.Xml.Serialization.dll
LIB_MCS_FLAGS =  -unsafe -r:System.dll -r:System.Core.dll -r:System.Xml.dll -r:System.ServiceModel.dll -d:NET_2_1 -d:NET_2_0 -d:NET_1_1

ifneq (2.1, $(FRAMEWORK_VERSION))
LIB_MCS_FLAGS += -d:NET_3_5 -nowarn:1720
endif

TEST_MCS_FLAGS = $(LIB_MCS_FLAGS)

EXTRA_DISTFILES =

VALID_PROFILE := $(filter 2.1, $(FRAMEWORK_VERSION))
ifndef VALID_PROFILE
LIBRARY_NAME = dummy-System.Xml.Serialization.dll
NO_INSTALL = yes
NO_SIGN_ASSEMBLY = yes
NO_TEST = yes
endif

include ../../build/library.make

## mono-managed 2.10.1-4maemo1

=== debian/changelog ===
mono-managed (2.10.1-4maemo1) fremantle; urgency=low

  * Initial release for Maemo

 -- Tsukanov Nikita <keks9n@gmail.com>  Tue, 26 Apr 2011 19:20:45 +0200

mono (2.10.1-4) experimental; urgency=low

  [ Zoltan Varga ]
  * [db3ee8c] Only use memory barriers on arm when running on armv6 or later.
  * [cf1d8e8] Add a membar to libgc's UNLOCK () on arm. Fixes Mono#683409.

  [ Jo Shields ]
  * [0e3d427] Ensure SIGXFSZ is used instead of SIGPWR on kFreeBSD.
              (Closes: #621907)
  * [8cd4f00] Define CPU registers on kFreeBSD/AMD64, to prevent build
              failures.

  [ Mirco Bauer ]
  * [9546eb7] Added armel specific symbols to libmono-2.0-1.symbols.armel

 -- Mirco Bauer <meebey@debian.org>  Sun, 10 Apr 2011 17:16:47 +0200

mono (2.10.1-3) experimental; urgency=low

  [ Jo Shields ]
  * [0fd2fc1] Tweak architecture checks in configure.in so kfreebsd-gnu is
              considered an SGen-capable architecture. (closes: #621448)

  [ Mirco Bauer ]
  * [26a6ee8] Moved architecture dependent symbols into
              libmono-2.0-1.symbols.$arch

 -- Mirco Bauer <meebey@debian.org>  Sat, 09 Apr 2011 15:15:04 +0200

mono (2.10.1-2) experimental; urgency=low

  * [aba0fce] Dropped obsolete archs: arm, armeb and lpia;
              no longer supported arch: s390;
              added potential new archs: armhf, ppc64 and s390x;
              only build and install sgen on supported archs
  * [66a0541] kfreebsd support for Mono 2.10.1 - mainly backport of gc 6.8
              (closes: #621031)

 -- Mirco Bauer <meebey@debian.org>  Thu, 07 Apr 2011 01:33:02 +0200

mono (2.10.1-1) experimental; urgency=low

  * The "size does matter" release

  [ Mirco Bauer ]
  * New upstream release
    + For release highlights see the NEWS.Debian file of the
      mono-runtime package

  [ Jo Shields ]
  * [5c6aba5] Imported Upstream version 2.8
  * [f85b0b1] Imported Upstream version 2.8.1

  [ Mirco Bauer ]
  * [01df276] Pass parallel variable in DEB_BUILD_OPTIONS to mono/Makefile
  * [e3871f8] Build libgc before mono

  [ Jo Shields ]
  * [98cb87c] Imported Upstream version 2.10~rc1
  * [b401a2a] Add test which is missing from 2.10~rc1 tarballs, causing test
              suite to fail to build

  [ Mirco Bauer ]
  * [79f2862] Build eglib before libgc and made them parallel buildable
  * [58bf7d7] Renamed libmono0 package to libmono-2.0-1 following the new
              soname
  * [f1e4e50] Provide deb-symbols for libmono-2.0-1
  * [7be8ed1] Renamed libmono-dev package to libmono-2.0-dev and dropped
              libglib2.0-dev dependency as Mono no longer makes use of the glib
  * [d97f372] Moved mono.pc to libmono-cil-dev
  * [3cd11ad] New mono-runtime-sgen package which contains the Mono VM with
              a new garbage collector
  * [7f3919a] Dropped libmono-firebirdsql1.7-cil package
  * [c31f6e2] Stick to upstream's configure defaults except for ikvm and
              quiet builds
  * [de8c9aa] Removed obsolete cleanups
  * [97c07fa] Removed obsolete doc dir symlinking removal code for Ubuntu
  * [e6e31ff] Cleaned up Uploaders
  * [3c24df0] Disable automatic AOT on "make install" as this needs to be done
              on package install time
  * [1ced0ac] Merged the install-arch and install-indep target into a single
              install target
  * [3a2409b] Disable libgc's parallel mark on powerpc as it FTBFS
  * [97c6760] Added a 2nd test-suite pass with sgen
  * [af7129a] Disable sgen on powerpc for now as it needs further porting
  * [3f99e0e] Don't run the test-suite with sgen on powerpc

  [ Jo Shields ]
  * [9a320e5] Imported Upstream version 2.10.1

  [ Mirco Bauer ]
  * [e618805] Don't delete ltmain.sh in clean target as autoreconf is not
              recreating it
  * [38ccb49] Updated libmono-2.0-1.symbols for 2.10.1
  * [0472e8b] Dropped license and copyright information of no longer
              distributed FirebirdSql.Data.Firebird and Microsoft.JScript
              assemblies
  * [cb9cfec] Moved license and copyright information of RabbitMQ.Client to
              distinct copyright files
  * [d191bb3] Moved changelog entries older than 2.6.7-1 to changelog.1
  * [4b69b38] Dropped mono-1.0-devel and merged mono-2.0-devel into mono-devel
  * [f8e8352] Re-synced debhelper tools from cli-common 0.8~git.ca22e7 with
              .NET 4.0 support
  * [dac60fb] Ignore temporarily package build directories
  * [78db0f9] Replaced depcrecated dh_clean -k call with dh_prep
  * [4cd31f2] Forcely install jay
  * [3e69ed3] Drop unwanted/incorrectly shipped files from upstream
  * [a27bef2] Dropped obsolete and added missing manpages
  * [b407a26] Make use of dh_install's --list-missing feature
  * [37638d7] Dropped obsolete and added missing dllmaps
  * [1597015] Bumped clilibs to >= 2.10.1 where needed
  * [953569a] Dropped obsolete replaces << 1.2.4-1 lines from mono-dbg
  * [ee0cbf6] Dropped prj2make-sharp package
  * [61a9ed1] Updated debian/shlibs.local for Mono 2.10.1
  * [0fa85d7] Updated mono-runtime.NEWS for Mono 2.10, 2.8 and 2.6
  * [15fe448] Dropped all CLI 1.0 library and C# 1.0 compiler packages as
              Mono 2.10 no longer supports the 1.0 runtime, added new packages
              for all CLI 4.0 libraries and the C# 4.0 compiler and made
              C# 4.0 the new default C# compiler.
              All CLI 2.0 library packages are left for ABI and backwards
              compatibility.
  * [59b28b7] Sorted dependencies of libmono-cil-dev for easier tracking
  * [9288af2] Added missing libmono-microsoft-csharp4.0-cil to libmono-cil-dev
              dependencies
  * [30cd43e] Added libmono-microsoft-csharp4.0-cil as manual dependency to
              mono-dmcs as needed for dynamic types
  * [f262b9f] Added debian/find-icalls.sh helper script which finds internal
              calls from the source tree
  * [ce1e2f5] Force the debian version. $(top_srcdir)/.git is no longer a good


=== debian/control ===
Source: mono-managed
Section: cli-mono
Priority: optional
Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7),
	dpkg-dev (>= 1.13.19),
	libglib2.0-dev (>= 2.4),
	bison,
	libtool,
	libxml-dom-perl,
	libxslt1-dev,
	dc,
	lsb-release,
	libx11-dev,
	libxt-dev,
	zlib1g-dev,
	autoconf,
	automake
Homepage: http://www.mono-project.com/
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/mono.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/mono.git

Package: libmono-cil-dev
Architecture: all
Replaces: libmono-nunit2.2-cil (<< 2.4.3),
          libmono-nunit2.4-cil (<< 2.4.3),
          libmono-cairo2.0-cil (<< 2.4.3),
          libmono-cecil-private-cil (<< 2.4.3),
          libmono-system-web2.0-cil (<< 2.4.3),
          libmono-wcf3.0-cil (<< 2.4.3),
          libmono2.0-cil (<< 2.4.3),
          mono-devel (<< 2.4.3),
          libmono-dev (<< 2.10~)
Breaks: libmono-dev (<< 2.10~)
Conflicts: libmono-nunit2.2-cil,
           libmono-nunit2.4-cil
Depends: mono-pre, ${misc:Depends},
         libmono2.0-cil (= ${source:Version}),
         libmono-accessibility2.0-cil (= ${source:Version}),
         libmono-accessibility4.0-cil (= ${source:Version}),
         libmono-c5-1.1-cil (= ${source:Version}),
         libmono-cairo2.0-cil (= ${source:Version}),
         libmono-cairo4.0-cil (= ${source:Version}),
         libmono-cecil-private-cil (= ${source:Version}),
         libmono-codecontracts4.0-cil (= ${source:Version}),
         libmono-compilerservices-symbolwriter4.0-cil (= ${source:Version}),
         libmono-corlib2.0-cil (= ${source:Version}),
         libmono-corlib4.0-cil (= ${source:Version}),
         libmono-cscompmgd8.0-cil (= ${source:Version}),
         libmono-csharp4.0-cil (= ${source:Version}),
         libmono-custommarshalers4.0-cil (= ${source:Version}),
         libmono-data-tds2.0-cil (= ${source:Version}),
         libmono-data-tds4.0-cil (= ${source:Version}),
         libmono-db2-1.0-cil (= ${source:Version}),
         libmono-debugger-soft2.0-cil (= ${source:Version}),
         libmono-debugger-soft4.0-cil (= ${source:Version}),
         libmono-http4.0-cil (= ${source:Version}),
         libmono-i18n2.0-cil (= ${source:Version}),
         libmono-i18n4.0-all (= ${source:Version}),
         libmono-i18n-west2.0-cil (= ${source:Version}),
         libmono-ldap2.0-cil (= ${source:Version}),
         libmono-ldap4.0-cil (= ${source:Version}),
         libmono-management2.0-cil (= ${source:Version}),
         libmono-management4.0-cil (= ${source:Version}),
         libmono-messaging2.0-cil (= ${source:Version}),
         libmono-messaging4.0-cil (= ${source:Version}),
         libmono-messaging-rabbitmq2.0-cil (= ${source:Version}),
         libmono-messaging-rabbitmq4.0-cil (= ${source:Version}),
         libmono-microsoft8.0-cil (= ${source:Version}),
         libmono-microsoft-build2.0-cil (= ${source:Version}),
         libmono-microsoft-build-engine4.0-cil (= ${source:Version}),
         libmono-microsoft-build-framework4.0-cil (= ${source:Version}),
         libmono-microsoft-build-tasks-v4.0-4.0-cil (= ${source:Version}),
         libmono-microsoft-build-utilities-v4.0-4.0-cil (= ${source:Version}),
         libmono-microsoft-csharp4.0-cil (= ${source:Version}),
         libmono-microsoft-visualc10.0-cil (= ${source:Version}),
         libmono-microsoft-web-infrastructure1.0-cil (= ${source:Version}),
         libmono-npgsql2.0-cil (= ${source:Version}),
         libmono-npgsql4.0-cil (= ${source:Version}),
         libmono-opensystem-c4.0-cil (= ${source:Version}),
         libmono-oracle2.0-cil (= ${source:Version}),
         libmono-oracle4.0-cil (= ${source:Version}),
         libmono-peapi2.0-cil (= ${source:Version}),
         libmono-peapi4.0-cil (= ${source:Version}),
         libmono-posix2.0-cil (= ${source:Version}),
         libmono-posix4.0-cil (= ${source:Version}),
         libmono-rabbitmq2.0-cil (= ${source:Version}),
         libmono-rabbitmq4.0-cil (= ${source:Version}),
         libmono-relaxng2.0-cil (= ${source:Version}),
         libmono-relaxng4.0-cil (= ${source:Version}),
         libmono-security2.0-cil (= ${source:Version}),
         libmono-security4.0-cil (= ${source:Version}),
         libmono-sharpzip2.6-cil (= ${source:Version}),
         libmono-sharpzip2.84-cil (= ${source:Version}),
         libmono-sharpzip4.84-cil (= ${source:Version}),
         libmono-simd2.0-cil (= ${source:Version}),
         libmono-simd4.0-cil (= ${source:Version}),
         libmono-sqlite2.0-cil (= ${source:Version}),
         libmono-sqlite4.0-cil (= ${source:Version}),
         libmono-system2.0-cil (= ${source:Version}),
         libmono-system4.0-cil (= ${source:Version}),
         libmono-system-componentmodel-composition4.0-cil (= ${source:Version}),
         libmono-system-componentmodel-dataannotations4.0-cil (= ${source:Version}),
         libmono-system-configuration4.0-cil (= ${source:Version}),
         libmono-system-configuration-install4.0-cil (= ${source:Version}),
         libmono-system-core4.0-cil (= ${source:Version}),
         libmono-system-data2.0-cil (= ${source:Version}),
         libmono-system-data4.0-cil (= ${source:Version}),
         libmono-system-data-datasetextensions4.0-cil (= ${source:Version}),
         libmono-system-data-linq2.0-cil (= ${source:Version}),
         libmono-system-data-linq4.0-cil (= ${source:Version}),
         libmono-system-data-services4.0-cil (= ${source:Version}),
         libmono-system-data-services-client4.0-cil (= ${source:Version}),
         libmono-system-design4.0-cil (= ${source:Version}),
         libmono-system-drawing4.0-cil (= ${source:Version}),
         libmono-system-drawing-design4.0-cil (= ${source:Version}),
         libmono-system-dynamic4.0-cil (= ${source:Version}),
         libmono-system-enterpriseservices4.0-cil (= ${source:Version}),
         libmono-system-identitymodel4.0-cil (= ${source:Version}),
         libmono-system-identitymodel-selectors4.0-cil (= ${source:Version}),
         libmono-system-ldap2.0-cil (= ${source:Version}),
         libmono-system-ldap4.0-cil (= ${source:Version}),
         libmono-system-management4.0-cil (= ${source:Version}),
         libmono-system-messaging2.0-cil (= ${source:Version}),
         libmono-system-messaging4.0-cil (= ${source:Version}),
         libmono-system-net4.0-cil (= ${source:Version}),
         libmono-system-numerics4.0-cil (= ${source:Version}),
         libmono-system-runtime2.0-cil (= ${source:Version}),
         libmono-system-runtime4.0-cil (= ${source:Version}),
         libmono-system-runtime-caching4.0-cil (= ${source:Version}),
         libmono-system-runtime-durableinstancing4.0-cil (= ${source:Version}),
         libmono-system-runtime-serialization4.0-cil (= ${source:Version}),
         libmono-system-runtime-serialization-formatters-soap4.0-cil (= ${source:Version}),
         libmono-system-security4.0-cil (= ${source:Version}),
         libmono-system-servicemodel4.0-cil (= ${source:Version}),
         libmono-system-servicemodel-discovery4.0-cil (= ${source:Version}),
         libmono-system-servicemodel-routing4.0-cil (= ${source:Version}),
         libmono-system-servicemodel-web4.0-cil (= ${source:Version}),
         libmono-system-serviceprocess4.0-cil (= ${source:Version}),
         libmono-system-transactions4.0-cil (= ${source:Version}),
         libmono-system-web2.0-cil (= ${source:Version}),
         libmono-system-web4.0-cil (= ${source:Version}),
         libmono-system-web-abstractions4.0-cil (= ${source:Version}),
         libmono-system-web-applicationservices4.0-cil (= ${source:Version}),
         libmono-system-web-dynamicdata4.0-cil (= ${source:Version}),
         libmono-system-web-extensions4.0-cil (= ${source:Version}),
         libmono-system-web-extensions-design4.0-cil (= ${source:Version}),
         libmono-system-web-mvc1.0-cil (= ${source:Version}),
         libmono-system-web-mvc2.0-cil (= ${source:Version}),
         libmono-system-web-routing4.0-cil (= ${source:Version}),
         libmono-system-web-services4.0-cil (= ${source:Version}),
         libmono-system-windows-forms4.0-cil (= ${source:Version}),
         libmono-system-windows-forms-datavisualization4.0-cil (= ${source:Version}),
         libmono-system-xaml4.0-cil (= ${source:Version}),
         libmono-system-xml4.0-cil (= ${source:Version}),
         libmono-system-xml-linq4.0-cil (= ${source:Version}),
         libmono-tasklets2.0-cil (= ${source:Version}),
         libmono-tasklets4.0-cil (= ${source:Version}),
         libmono-wcf3.0-cil (= ${source:Version}),
         libmono-web4.0-cil (= ${source:Version}),
         libmono-webbrowser0.5-cil (= ${source:Version}),
         libmono-webmatrix-data4.0-cil (= ${source:Version}),
         libmono-windowsbase3.0-cil (= ${source:Version}),
         libmono-windowsbase4.0-cil (= ${source:Version}),
         libmono-winforms2.0-cil (= ${source:Version}),
Description: Mono Base Class Libraries (BCL) - Development files
 This package contains development headers for the Mono Base Class Libraries.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono2.0-cil
Architecture: all
Replaces: mono-classlib-2.0 (<< 1.1.13.6), mono-classlib-2.0-dbg (<< 1.1.13.6)
Depends: mono-pre, ${misc:Depends}, ${cli:Depends}
Description: Mono libraries (for CLI 2.0)
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains various Mono libraries for CLI 2.0:
  - Mono.CompilerServices.SymbolWriter
  - Mono.Http
  - Mono.Web
  - OpenSystem.C

Package: libmono-posix2.0-cil
Architecture: all
Replaces: libmono2.0-cil (<< 2.0)
Depends: mono-pre, ${misc:Depends}, ${cli:Depends}
Description: Mono.Posix library (for CLI 2.0)
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the Mono.Posix library for CLI 2.0 that binds many APIs
 found in glibc or intl.

Package: libmono-posix4.0-cil
Architecture: all
Depends: mono-pre, ${misc:Depends}, ${cli:Depends}
Description: Mono.Posix library (for CLI 4.0)
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains the Mono.Posix library for CLI 4.0 that binds many APIs
 found in glibc or intl.

Package: libmono-codecontracts4.0-cil
Architecture: all
Depends: mono-pre, ${misc:Depends},
         ${cli:Depends}
Description: Mono.CodeContracts library (for CLI 4.0)
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and

=== debian/rules ===
#!/bin/sh
if [ -n "`readelf -h /bin/sh|grep ARM`" ]; then
	echo ARM build detected. Doing NOTHING
	touch debian/files
	exit 0	
fi
debian/origrules $*

## mono-managed 2.10.1-4maemo2

=== debian/changelog ===
mono-managed (2.10.1-4maemo2) fremantle; urgency=low

  * Removed "Breaks" from debian/control because of lack of it's support in
    Scratchbox

 -- Tsukanov Nikita <keks9n@gmail.com>  Wed, 27 Apr 2011 08:08:35 +0400

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
           libmono2.0-cil (<< 2.4.3),
           mono-devel (<< 2.4.3),
           libmono-dev (<< 2.10~)
-Breaks: libmono-dev (<< 2.10~)
 Conflicts: libmono-nunit2.2-cil,
            libmono-nunit2.4-cil
 Depends: mono-pre, ${misc:Depends},
@@ -226,3 +225,4 @@
  Mono is a platform for running and developing applications based on the
  ECMA/ISO Standards. Mono is an open source effort led by Novell.
  Mono provides a complete CLR (Common Language Runtime) including compiler and
+ runtime, which can produce and execute CIL (Common Intermediate Language)

## mono-managed 2.10.1-4maemo3

=== debian/changelog ===
mono-managed (2.10.1-4maemo3) fremantle; urgency=low

  * Fixed some problems with dependencies

 -- Tsukanov Nikita <keks9n@gmail.com>  Wed, 27 Apr 2011 10:20:23 +0400

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
           libmono-dev (<< 2.10~)
 Conflicts: libmono-nunit2.2-cil,
            libmono-nunit2.4-cil
+Pre-Depends: mono-opt
 Depends: mono-pre, ${misc:Depends},
          libmono2.0-cil (= ${source:Version}),
          libmono-accessibility2.0-cil (= ${source:Version}),
@@ -176,6 +177,7 @@
 Package: libmono2.0-cil
 Architecture: all
 Replaces: mono-classlib-2.0 (<< 1.1.13.6), mono-classlib-2.0-dbg (<< 1.1.13.6)
+Pre-Depends: mono-opt
 Depends: mono-pre, ${misc:Depends}, ${cli:Depends}
 Description: Mono libraries (for CLI 2.0)
  Mono is a platform for running and developing applications based on the
@@ -193,6 +195,7 @@
 Package: libmono-posix2.0-cil
 Architecture: all
 Replaces: libmono2.0-cil (<< 2.0)
+Pre-Depends: mono-opt
 Depends: mono-pre, ${misc:Depends}, ${cli:Depends}
 Description: Mono.Posix library (for CLI 2.0)
  Mono is a platform for running and developing applications based on the
@@ -206,6 +209,7 @@
 
 Package: libmono-posix4.0-cil
 Architecture: all
+Pre-Depends: mono-opt
 Depends: mono-pre, ${misc:Depends}, ${cli:Depends}
 Description: Mono.Posix library (for CLI 4.0)
  Mono is a platform for running and developing applications based on the
@@ -219,10 +223,9 @@
 
 Package: libmono-codecontracts4.0-cil
 Architecture: all
+Pre-Depends: mono-opt
 Depends: mono-pre, ${misc:Depends},
          ${cli:Depends}
 Description: Mono.CodeContracts library (for CLI 4.0)
  Mono is a platform for running and developing applications based on the
  ECMA/ISO Standards. Mono is an open source effort led by Novell.
- Mono provides a complete CLR (Common Language Runtime) including compiler and
- runtime, which can produce and execute CIL (Common Intermediate Language)
